Bug 129880 - nfs install hangs with sun lx50/e100 driver
Summary: nfs install hangs with sun lx50/e100 driver
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-13 19:01 UTC by Christopher P Johnson
Modified: 2012-06-20 16:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 16:15:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v (3.27 KB, text/plain)
2004-08-13 19:04 UTC, Christopher P Johnson
no flags Details
tcpdump file (69.41 KB, application/octet-stream)
2004-08-13 19:06 UTC, Christopher P Johnson
no flags Details
show task (13.83 KB, text/plain)
2004-08-13 19:09 UTC, Christopher P Johnson
no flags Details

Description Christopher P Johnson 2004-08-13 19:02:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
The sun lx50 cannot net install r4a4. It hangs at regular places
in install (tcpdump trace attached)

10:46:44.680201 10.6.73.75.4227416452 > 10.6.73.218.2049: 128 read fh
Unknown/1 8192 bytes @ 6578176 (DF)
10:46:44.680451 10.6.73.218 > 10.6.73.75: (frag 47310:900@7400)
10:46:44.680462 10.6.73.218 > 10.6.73.75: (frag 47310:1480@5920+)
10:46:44.680469 10.6.73.218 > 10.6.73.75: (frag 47310:1480@4440+)
10:46:44.680475 10.6.73.218 > 10.6.73.75: (frag 47310:1480@2960+)
10:46:44.680482 10.6.73.218 > 10.6.73.75: (frag 47310:1480@1480+)
10:46:44.680489 10.6.73.218.2049 > 10.6.73.75.4227416452: reply ok
1472 read (frag 47310:1480@0+)
10:46:45.380082 10.6.73.75.4227416452 > 10.6.73.218.2049: 128 read fh
Unknown/1 8192 bytes @ 6578176 (DF)
10:46:45.380167 10.6.73.218 > 10.6.73.75: (frag 47311:900@7400)
10:46:45.380174 10.6.73.218 > 10.6.73.75: (frag 47311:1480@5920+)
10:46:45.380180 10.6.73.218 > 10.6.73.75: (frag 47311:1480@4440+)
10:46:45.380187 10.6.73.218 > 10.6.73.75: (frag 47311:1480@2960+)
10:46:45.380193 10.6.73.218 > 10.6.73.75: (frag 47311:1480@1480+)
10:46:45.380200 10.6.73.218.2049 > 10.6.73.75.4227416452: reply ok
1472 read (frag 47311:1480@0+)
10:46:45.975996 arp who-has 10.6.73.75 (Broadcast) tell 10.6.73.75
10:46:46.779848 10.6.73.75.4227416452 > 10.6.73.218.2049: 128 read fh
Unknown/1 8192 bytes @ 6578176 (DF)
...

The lx50 has incompatible bios acpi tables, so the 'acpi=off' kernel
parameter must be used. Also tried using the 'noapic' parameter
without effect.

label lr4a4
  kernel r4a4/images/pxeboot/vmlinuz
  append acpi=off ksdevice=eth0 console=ttyS1,9600n8 load_ramdisk=1
network ks=nfs:10.6.73.218:/storage/r4a4/ks1.cfg
initrd=r4a4/images/pxeboot/initrd.img

Using different nfs servers (rhas21, r4a4) resulted in hangs at
slightly different places.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.7-1.451.2.3

How reproducible:
Always

Steps to Reproduce:
1. pxe boot nfs install from rhas21 server (see syslinux target above)
2. nfs retries begin to occur loading rpms such as glibc
3.
    

Actual Results:  installation hangs.

Expected Results:  installation completes.

Additional info:

I'll attach a tcpdump and lspci.

Comment 1 Christopher P Johnson 2004-08-13 19:04:36 UTC
Created attachment 102712 [details]
lspci -v

Comment 2 Christopher P Johnson 2004-08-13 19:06:48 UTC
Created attachment 102713 [details]
tcpdump file

Comment 3 Christopher P Johnson 2004-08-13 19:09:01 UTC
Created attachment 102714 [details]
show task

Comment 4 Christopher P Johnson 2004-08-18 00:33:11 UTC
This appears to be related to the bmc and ipmi setup. Disabling
the ipmi lan configuration allows the installation to complete.

Apparently there are specifics with adapter setup that are required
for the bmc and e100 to work together.

The lan setup is unexceptional:

ipaddr: 10.6..73.75
netmask: 255.255.252.0
gateway: 10.6.72.1

Not finding reports on the scb2 motherboard. Earlier motherboards:

http://www.uwsg.iu.edu/hypermail/linux/kernel/0110.3/1655.html

Comment 5 Christopher P Johnson 2004-08-20 17:39:09 UTC
intel.com indicates that this may be fixed in e100 version 3.0.27:

Subject: RE: intel scb2 server, e100 driver and ipmi interference on
rhel4-alpha4
From: adaptersuppor@mailbox.cps.intel.com

Version 3.0.18 was a development version. The first stable version of
the 3.0.x driver was 3.0.27. Can you try that one? If the issue
persists with 3.0.27, please confirm that the issue does not happen
with 2.3.43.



Comment 6 Jason Baron 2004-10-15 21:36:14 UTC
rhel4 B2 includes the 3.0.27 e100, we will re-test there.

Comment 7 Christopher P Johnson 2004-11-05 21:35:16 UTC
This bug is happening with the r3u4 beta as well.

The workaround is to install with another protocol (ftp succeeded).
As I recall, there have been previous problems with the bmc swallowing
nfs packets, thinking they are ipmi.

Comment 8 Jiri Pallich 2012-06-20 16:15:44 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.